### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-form-label/ecl-form-label.component.ts`

### Extends

`ECLBaseDirective`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `[eclFormLabel]`
templateUrl | `./ecl-form-label.component.html`

### Index

###### Methods
getCssClasses
###### Inputs
isDisabled isInvalid isOptional isRequired class e2eAttr
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

isDisabled
Type : `boolean | any`
Default value : `false`

isInvalid
Type : `boolean | any`
Default value : `false`

isOptional
Type : `boolean | any`
Default value : `false`

isRequired
Type : `boolean | any`
Default value : `false`

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

class
Type : `any`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""